Microsoft.Windows.Compatibility vulnaribilty when moving from NET 7 TO NET 8

Dani_S 3,276 Reputation points
2023-11-28T09:36:05.58+00:00

Hi,

Microsoft.Windows.Compatibility si voulnerability. no option to upgrade.

What I need to do ? VS shots on this ?

Thanks

	<ItemGroup>
		<PackageReference Include="Microsoft.Maui.Controls" Version="$(MauiVersion)" />
		<PackageReference Include="Microsoft.Maui.Controls.Compatibility" Version="$(MauiVersion)" />
	  <PackageReference Include="Microsoft.Extensions.Logging.Log4Net.AspNetCore" Version="6.1.0" />
	  <PackageReference Include="Telerik.UI.for.Maui" Version="6.5.0" />
		<PackageReference Include="Microsoft.Toolkit.Uwp.Notifications" Version="7.0.1" />
		<PackageReference Include="PInvoke.User32" Version="0.7.104" />
		<PackageReference Include="Microsoft.Windows.Compatibility" Version="7.0.0" />
	</ItemGroup>
.NET MAUI
.NET MAUI
A Microsoft open-source framework for building native device applications spanning mobile, tablet, and desktop.
3,179 questions
{count} votes

1 answer

Sort by: Most helpful
  1. Dani_S 3,276 Reputation points
    2023-11-29T12:53:10.7266667+00:00

    It fixed after clean and rebuild twise.

    0 comments No comments